-- Adapted from soon-to-be-published "Optimizing Your Query Plans with SQL Server 2014" white paper (Microsoft), Writer: Joseph Sack

ALTER DATABASE [AdventureWorks2012] SET COMPATIBILITY_LEVEL = 120;
GO

USE [AdventureWorks2012];
GO


SET STATISTICS XML ON;

-- New CE
SELECT	[AddressID],
	[AddressLine1],
	[AddressLine2]
FROM [Person].[Address]
WHERE [StateProvinceID] = 9 AND
	[City] = 'Burbank';

-- Legacy
SELECT	[AddressID],
	[AddressLine1],
	[AddressLine2]
FROM [Person].[Address]
WHERE [StateProvinceID] = 9 AND
	[City] = 'Burbank'
OPTION (QUERYTRACEON 9481);
GO

SET STATISTICS XML OFF;
